aboutsummaryrefslogtreecommitdiffstats
path: root/modules/subversion/templates
diff options
context:
space:
mode:
authorMichael Scherer <misc@mageia.org>2011-01-16 13:15:33 +0000
committerMichael Scherer <misc@mageia.org>2011-01-16 13:15:33 +0000
commit83cf6a201cd9d7ad0abab2a64cfcfa490552c158 (patch)
treeb0c12cc74ede7bde1695627f288376e73064d75c /modules/subversion/templates
parentbbba3d8a94755862736d755ce060ee2530b537a5 (diff)
downloadpuppet-83cf6a201cd9d7ad0abab2a64cfcfa490552c158.tar
puppet-83cf6a201cd9d7ad0abab2a64cfcfa490552c158.tar.gz
puppet-83cf6a201cd9d7ad0abab2a64cfcfa490552c158.tar.bz2
puppet-83cf6a201cd9d7ad0abab2a64cfcfa490552c158.tar.xz
puppet-83cf6a201cd9d7ad0abab2a64cfcfa490552c158.zip
add hook to allow to change svn:log property
Diffstat (limited to 'modules/subversion/templates')
-rw-r--r--modules/subversion/templates/pre-revprop-change15
1 files changed, 15 insertions, 0 deletions
diff --git a/modules/subversion/templates/pre-revprop-change b/modules/subversion/templates/pre-revprop-change
new file mode 100644
index 00000000..e9b18150
--- /dev/null
+++ b/modules/subversion/templates/pre-revprop-change
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# script taken from svn example hooks
+
+REPOS="$1"
+REV="$2"
+USER="$3"
+PROPNAME="$4"
+ACTION="$5"
+
+if [ "$ACTION" = "M" -a "$PROPNAME" = "svn:log" ]; then exit 0; fi
+
+echo "Changing revision properties other than svn:log is prohibited" >&2
+exit 1
+